package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_free_time):
 */
public class TeacherFreeTime {

	/**  */
	private Integer id;
	
	/**  */
	private Integer userId;
	
	/**  */
	private String monday;
	
	/**  */
	private String tuesday;
	
	/**  */
	private String wednesday;
	
	/**  */
	private String thursday;
	
	/**  */
	private String friday;
	
	/**  */
	private String saturday;
	
	/**  */
	private String sunday;

	/**  */
	private Integer holiday;
	
	private Integer totalTimes;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Integer getHoliday() {
		return holiday;
	}

	public void setHoliday(Integer holiday) {
		this.holiday = holiday;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setMonday(String monday){
		this.monday = monday;
	}
	
	public String getMonday(){
		return this.monday;
	}
			
	public void setTuesday(String tuesday){
		this.tuesday = tuesday;
	}
	
	public String getTuesday(){
		return this.tuesday;
	}
			
	public void setWednesday(String wednesday){
		this.wednesday = wednesday;
	}
	
	public String getWednesday(){
		return this.wednesday;
	}
			
	public void setThursday(String thursday){
		this.thursday = thursday;
	}
	
	public String getThursday(){
		return this.thursday;
	}
			
	public void setFriday(String friday){
		this.friday = friday;
	}
	
	public String getFriday(){
		return this.friday;
	}
			
	public void setSaturday(String saturday){
		this.saturday = saturday;
	}
	
	public String getSaturday(){
		return this.saturday;
	}
			
	public void setSunday(String sunday){
		this.sunday = sunday;
	}
	
	public String getSunday(){
		return this.sunday;
	}
			
	public Integer getTotalTimes() {
		return totalTimes;
	}

	public void setTotalTimes(Integer totalTimes) {
		this.totalTimes = totalTimes;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
